Loading...
Searching...
No Matches
IDXGIFactory1Vtbl Struct Reference

`#include <mini_d3d12.h>`

## Public Member Functions

| BEGIN_INTERFACE (IDXGIFactory1 *This, REFIID riid, _COM_Outptr_ void **ppvObject)
IDXGIFactory1 _In_ REFGUID UINT | _In_reads_bytes_ (DataSize) const void *pData)

## Public Attributes

IDXGIFactory1 * | This
IDXGIFactory1 _In_ REFGUID | Name
IDXGIFactory1 _In_ REFGUID UINT | DataSize
IDXGIFactory1 _In_ REFGUID _In_opt_ const IUnknown * | pUnknown
IDXGIFactory1 _In_ REFGUID _Inout_ UINT * | pDataSize
IDXGIFactory1 _In_ REFGUID _Inout_ UINT _Out_writes_bytes_ pDataSize void * | pData
IDXGIFactory1 _In_ REFIID | riid
IDXGIFactory1 _In_ REFIID _COM_Outptr_ void ** | ppParent
IDXGIFactory1 UINT | Adapter
IDXGIFactory1 UINT _COM_Outptr_ IDXGIAdapter ** | ppAdapter
IDXGIFactory1 HWND | WindowHandle
IDXGIFactory1 HWND UINT | Flags
IDXGIFactory1 _Out_ HWND * | pWindowHandle
IDXGIFactory1 _In_ IUnknown * | pDevice
IDXGIFactory1 _In_ IUnknown _In_ DXGI_SWAP_CHAIN_DESC * | pDesc
IDXGIFactory1 _In_ IUnknown _In_ DXGI_SWAP_CHAIN_DESC _COM_Outptr_ IDXGISwapChain ** | ppSwapChain
IDXGIFactory1 HMODULE | Module
IDXGIFactory1 HMODULE _COM_Outptr_ IDXGIAdapter ** | ppAdapter
IDXGIFactory1 UINT _COM_Outptr_ IDXGIAdapter1 ** | ppAdapter

## Detailed Description

Definition at line 6456 of file mini_d3d12.h.

## Member Function Documentation

## BEGIN_INTERFACE()

IDXGIFactory1Vtbl::BEGIN_INTERFACE | ( | IDXGIFactory1 * | This,
|  | REFIID | riid,
|  | _COM_Outptr_ void ** | ppvObject )

References _COM_Outptr_, BEGIN_INTERFACE(), REFIID, riid, STDMETHODCALLTYPE, and This.

Referenced by BEGIN_INTERFACE().

## _In_reads_bytes_()

IDXGIFactory1 _In_ REFGUID UINT IDXGIFactory1Vtbl::_In_reads_bytes_ | ( | DataSize |  | ) | const

References _In_, DataSize, Name, pData, REFGUID, STDMETHODCALLTYPE, and This.

## Member Data Documentation

## This

IDXGIFactory1 * IDXGIFactory1Vtbl::This

Definition at line 6468 of file mini_d3d12.h.

Referenced by _In_reads_bytes_(), and BEGIN_INTERFACE().

## Name

IDXGIFactory1 _In_ REFGUID IDXGIFactory1Vtbl::Name

Definition at line 6478 of file mini_d3d12.h.

Referenced by _In_reads_bytes_().

## DataSize

IDXGIFactory1 _In_ REFGUID UINT IDXGIFactory1Vtbl::DataSize

Definition at line 6479 of file mini_d3d12.h.

Referenced by _In_reads_bytes_().

## pUnknown

IDXGIFactory1 _In_ REFGUID _In_opt_ const IUnknown* IDXGIFactory1Vtbl::pUnknown

Definition at line 6489 of file mini_d3d12.h.

## pDataSize

IDXGIFactory1 _In_ REFGUID _Inout_ UINT* IDXGIFactory1Vtbl::pDataSize

Definition at line 6497 of file mini_d3d12.h.

## pData

IDXGIFactory1 _In_ REFGUID _Inout_ UINT _Out_writes_bytes_ pDataSize void* IDXGIFactory1Vtbl::pData

Definition at line 6499 of file mini_d3d12.h.

Referenced by _In_reads_bytes_().

## riid

IDXGIFactory1 _In_ REFIID IDXGIFactory1Vtbl::riid

Definition at line 6505 of file mini_d3d12.h.

Referenced by BEGIN_INTERFACE().

## ppParent

IDXGIFactory1 _In_ REFIID _COM_Outptr_ void** IDXGIFactory1Vtbl::ppParent

Definition at line 6507 of file mini_d3d12.h.

## Adapter

IDXGIFactory1 UINT IDXGIFactory1Vtbl::Adapter

Definition at line 6512 of file mini_d3d12.h.

## ppAdapter [1/3]

IDXGIFactory1 UINT _COM_Outptr_ IDXGIAdapter** IDXGIFactory1Vtbl::ppAdapter

Definition at line 6514 of file mini_d3d12.h.

## WindowHandle

IDXGIFactory1 HWND IDXGIFactory1Vtbl::WindowHandle

Definition at line 6519 of file mini_d3d12.h.

## Flags

IDXGIFactory1 HWND UINT IDXGIFactory1Vtbl::Flags

Definition at line 6520 of file mini_d3d12.h.

## pWindowHandle

IDXGIFactory1 _Out_ HWND* IDXGIFactory1Vtbl::pWindowHandle

Definition at line 6526 of file mini_d3d12.h.

## pDevice

IDXGIFactory1 _In_ IUnknown* IDXGIFactory1Vtbl::pDevice

Definition at line 6532 of file mini_d3d12.h.

## pDesc

IDXGIFactory1 _In_ IUnknown _In_ DXGI_SWAP_CHAIN_DESC* IDXGIFactory1Vtbl::pDesc

Definition at line 6534 of file mini_d3d12.h.

## ppSwapChain

IDXGIFactory1 _In_ IUnknown _In_ DXGI_SWAP_CHAIN_DESC _COM_Outptr_ IDXGISwapChain** IDXGIFactory1Vtbl::ppSwapChain

Definition at line 6536 of file mini_d3d12.h.

## Module

IDXGIFactory1 HMODULE IDXGIFactory1Vtbl::Module

Definition at line 6541 of file mini_d3d12.h.

## ppAdapter [2/3]

IDXGIFactory1 HMODULE _COM_Outptr_ IDXGIAdapter** IDXGIFactory1Vtbl::ppAdapter

Definition at line 6543 of file mini_d3d12.h.

## ppAdapter [3/3]

IDXGIFactory1 UINT _COM_Outptr_ IDXGIAdapter1** IDXGIFactory1Vtbl::ppAdapter

Definition at line 6550 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h